Kyiv claims it killed fourth Russian general; says war has caused $500 billion in damage
Ukraine said a fourth Russian general has been killed in the fighting. Major General Oleg Mityaev died Tuesday during the storming of Mariupol, said Ukrainian Interior Ministry adviser Anton Gerashchenko, who published a photo on Telegram of what he said was the dead officer. Ukrainian President Volodymyr Zelenskyy reported the death of another Russian general in his nighttime address but didn’t name him.